Loading...
Searching...
No Matches
etl::message< ID_, TBase > Class Template Reference

`#include <message.h>`

## Public Types

typedef TBase | base_type

## Public Member Functions

| ETL_STATIC_ASSERT ((etl::is_base_of< etl::imessage, TBase >::value), "TBase is not derived from etl::imessage")
virtual ETL_NODISCARD etl::message_id_t | get_message_id () const ETL_NOEXCEPT ETL_OVERRIDE

## Static Public Attributes

static ETL_CONSTANT etl::message_id_t | ID = ID_
| The message's static ID.

## Detailed Description

template<etl::message_id_t ID_, typename TBase = etl::imessage>
class etl::message< ID_, TBase >

Message type. Virtual.

## Member Function Documentation

## get_message_id()

template<etl::message_id_t ID_, typename TBase = etl::imessage>

virtual ETL_NODISCARD etl::message_id_t etl::message< ID_, TBase >::get_message_id | ( |  | ) | const

inline virtual

Implements etl::imessage.

The documentation for this class was generated from the following file:

- include/etl/message.h